idf_component_register(
    SRCS
        "game_endpoint.c"
        "puzzle_binding.c"
    INCLUDE_DIRS
        "include"
    REQUIRES
        esp_http_server
        json
        nvs_flash
        hints_client
        ota_server
        scenario_mesh
        freertos
        log
        joltwallet__littlefs
        puzzle_state
        media_manager
        sd_storage
        gamebook
    PRIV_REQUIRES
        local_puzzles
        p7_coffre
        p5_morse
        p6_nfc
        npc_engine
)
